## rt-tests 0.53

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
-VERSION_STRING = "0.39"
+VERSION_STRING = 0.53
 
-TARGETS	= cyclictest signaltest classic_pi pi_stress
+TARGETS	= cyclictest signaltest classic_pi pi_stress \
+	  hwlatdetect rt-migrate-test
 FLAGS	= -Wall -Wno-nonnull -O2
 LIBS 	= -lpthread -lrt
 DESTDIR	?=
@@ -22,14 +23,22 @@
 pi_stress:  src/pi_tests/pi_stress.c
 	$(CC) $(FLAGS) -D_GNU_SOURCE -D VERSION_STRING=\"$(VERSION_STRING)\" $^ -o $@ $(LIBS)
 
+hwlatdetect:  src/hwlatdetect/hwlatdetect.py
+	chmod +x src/hwlatdetect/hwlatdetect.py
+	ln -s src/hwlatdetect/hwlatdetect.py hwlatdetect
+
+rt-migrate-test: src/rt-migrate-test/rt-migrate-test.c
+	$(CC) $(FLAGS) -D_GNU_SOURCE -D VERSION_STRING=\"$(VERSION_STRING)\" $^ -o $@ $(LIBS)
+
 CLEANUP  = $(TARGETS) *.o .depend *.*~ *.orig *.rej rt-tests.spec
 CLEANUP += $(if $(wildcard .git), ChangeLog)
 
 clean:
 	for F in $(CLEANUP); do find -type f -name $$F | xargs rm -f; done
+	rm -f hwlatdetect
 
 distclean: clean
-	rm -rf BUILD RPMS SRPMS releases
+	rm -rf BUILD RPMS SRPMS releases *.tar.gz rt-tests.spec
 
 changelog:
 	git log >ChangeLog
@@ -39,6 +48,7 @@
 	cp $(TARGETS) "$(DESTDIR)$(bindir)"
 	gzip src/cyclictest/cyclictest.8 -c >"$(DESTDIR)$(mandir)/cyclictest.8.gz"
 	gzip src/pi_tests/pi_stress.8 -c >"$(DESTDIR)$(mandir)/pi_stress.8.gz"
+	gzip src/hwlatdetect/hwlatdetect.8 -c >"$(DESTDIR)$(mandir)/hwlatdetect.8.gz"
 
 release: clean changelog
 	mkdir -p releases
@@ -47,6 +57,12 @@
 	tar -C tmp -czf rt-tests-$(VERSION_STRING).tar.gz rt-tests
 	rm -f ChangeLog
 	cp rt-tests-$(VERSION_STRING).tar.gz releases
+
+push:	release
+	scripts/do-git-push $(VERSION_STRING)
+
+pushtest: release
+	scripts/do-git-push --test $(VERSION_STRING)
 
 rt-tests.spec: Makefile rt-tests.spec-in
 	sed s/__VERSION__/$(VERSION_STRING)/ <$@-in >$@
@@ -63,3 +79,15 @@
 	@[ -d BUILD ]  || mkdir BUILD
 	@[ -d RPMS ]   || mkdir RPMS
 	@[ -d SRPMS ]  || mkdir SRPMS
+
+help:
+	@echo ""
+	@echo " rt-tests useful Makefile targets:"
+	@echo ""
+	@echo "    all       :  build all tests (default"
+	@echo "    install   :  install tests to local filesystem"
+	@echo "    release   :  build source tarfile"
+	@echo "    rpm       :  build RPM package"
+	@echo "    clean     :  remove object files"
+	@echo "    distclean :  remove all generated files"
+	@echo "    help      :  print this message"
