=== debian/changelog ===
rt-tests (0.71-1) unstable; urgency=low

  * new upstream release
  * drop install_backfire_c_into_srcdir_backfire (applied upstream)
  * drop rename_pip_to_pip_stress (applied upstream)
  * refresh install_hwlatdetect_into_sbindir
  * add powerpcspe to architecture list
  * add backfire package with dkms support

 -- Uwe Kleine-König <u.kleine-koenig@pengutronix.de>  Wed, 02 Jun 2010 22:15:03 +0200

rt-tests (0.66-2) unstable; urgency=high

  * Urgency high due to rc bug fix
  * new patch: rename pip to pip_stress (Closes: #572104)

 -- Uwe Kleine-König <u.kleine-koenig@pengutronix.de>  Mon, 01 Mar 2010 17:02:28 +0100

rt-tests (0.66-1) unstable; urgency=low

  * add sh4 to architecture list (Closes: #555554)
  * new upstream release
  * Standards-Version: 3.8.4 (no changes needed)
  * Switch to dpkg-source 3.0 (quilt) format
  * build with libnuma on platforms that have it
  * new patch: install hwlatdetect directly into $sbindir
  * new patch: install install backfire.c to $(srcdir)/backfire/

 -- Uwe Kleine-König <u.kleine-koenig@pengutronix.de>  Mon, 22 Feb 2010 15:35:03 +0100

rt-tests (0.53-1) unstable; urgency=low

  * new upstream release
  * only build on Linux archs but not hppa (see #534352)

 -- Uwe Kleine-König <u.kleine-koenig@pengutronix.de>  Thu, 29 Oct 2009 21:23:10 +0100

rt-tests (0.51-1) unstable; urgency=low

  * reformat copyright and add authors and years of the copyright
  * new upstream release
  * Standards-Version: 3.8.3 (no changes needed)

 -- Uwe Kleine-König <u.kleine-koenig@pengutronix.de>  Sat, 19 Sep 2009 16:29:10 +0200

rt-tests (0.50-1) unstable; urgency=low

  * new upstream release

 -- Uwe Kleine-König <u.kleine-koenig@pengutronix.de>  Mon, 20 Jul 2009 21:50:08 +0200

rt-tests (0.45-1) unstable; urgency=low

  * new upstream release
  * add dependency on python for hwlatdetect
  * Standards-Version: 3.8.2 (no changes needed)

 -- Uwe Kleine-König <u.kleine-koenig@pengutronix.de>  Tue, 30 Jun 2009 10:19:04 +0200

rt-tests (0.39-2) unstable; urgency=low

  * add VCS URL to control
  * conflict with xenomai-runtime (Closes: #529783)

 -- Uwe Kleine-König <u.kleine-koenig@pengutronix.de>  Mon, 11 May 2009 00:18:37 +0200

rt-tests (0.39-1) unstable; urgency=low

  * Initial release. (Closes: #521895)

 -- Uwe Kleine-König <u.kleine-koenig@pengutronix.de>  Wed, 06 May 2009 21:22:28 +0200
