=== debian/control ===
Source: rt-tests
Section: misc
Priority: extra
Maintainer: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7.4.15), libnuma-dev (>= 2.0.3) [amd64 i386 ia64 mips mipsel powerpc], dkms (>= 2.1.0.0)
Vcs-Browser: http://git.pengutronix.de/?p=ukl/rt-tests.git;
Vcs-Git: git://git.pengutronix.de/git/ukl/rt-tests.git

Package: rt-tests
Architecture: alpha amd64 armel i386 ia64 mips mipsel powerpc powerpcspe s390 sh4 sparc
Depends: ${shlibs:Depends}, ${misc:Depends}, python,
 libnuma1 (>= 2.0.3) [amd64 i386 ia64 mips mipsel powerpc]
Conflicts: xenomai-runtime
Recommends: backfire-dkms
Description: Test programs for rt kernels
 rt-tests contains a set of programs that test and measure various components
 of real-time kernel behavior, such as timer latency, signal latency and the
 functioning of priority-inheritance mutexes.
 Additionally it contains hackbench, a program to generate work for the
 scheduler.

Package: backfire-dkms
Architecture: all
Depends: ${misc:Depends},
Replaces: rt-tests (<= 0.66-2)
Description: kernel module for signal benchmarking (DKMS)
 backfire is a driver used by sendme(8) (contained in the rt-tests package) to
 benchmark kernel to userspace signal generation.
