=== debian/watch ===
version=3

http://www.kernel.org/pub/linux/kernel/people/clrkwllms/rt-tests/rt-tests-(.*)\.tar\.gz
