=== debian/changelog ===
rt-tests (0.72-1) unstable; urgency=low

  * new upstream release
  * new patch kernvar_fix_possible_buffer_overflow
  * use Architecture: linux-any (Closes: #604691)
  * Standards-Version: 3.9.1 (no changes needed)

 -- Uwe Kleine-König <u.kleine-koenig@pengutronix.de>  Sun, 20 Mar 2011 16:31:36 +0100
