=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: misc
 Priority: extra
 Maintainer: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Build-Depends: debhelper (>= 7.4.15), libnuma-dev (>= 2.0.3) [amd64 i386 ia64 mips mipsel powerpc], dkms (>= 2.1.0.0)
 Vcs-Browser: http://git.pengutronix.de/?p=ukl/rt-tests.git;
 Vcs-Git: git://git.pengutronix.de/git/ukl/rt-tests.git
 
 Package: rt-tests
-Architecture: alpha amd64 armel i386 ia64 mips mipsel powerpc powerpcspe s390 sh4 sparc
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, python,
  libnuma1 (>= 2.0.3) [amd64 i386 ia64 mips mipsel powerpc]
 Conflicts: xenomai-runtime
