=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: misc
 Priority: extra
 Maintainer: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
-Standards-Version: 3.9.1
-Build-Depends: debhelper (>= 7.4.15), libnuma-dev (>= 2.0.3) [amd64 i386 ia64 mips mipsel powerpc], dkms (>= 2.1.0.0)
+Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 8.1.0), libnuma-dev (>= 2.0.3) [amd64 i386 ia64 mips mipsel powerpc], dkms (>= 2.1.0.0)
 Vcs-Browser: http://git.pengutronix.de/?p=ukl/rt-tests.git;
 Vcs-Git: git://git.pengutronix.de/git/ukl/rt-tests.git
