=== debian/changelog ===
rt-tests (0.84-0ubuntu1) quantal; urgency=low

  * New upstream release (LP: #1039352)
  * Update to standards version 3.9.3
  * Porting copyright file to match the machine-readable debian/copyright file
    standard version 1.0
  * Refreshing debian/patches based on this release
  * debian/patches/adding-missing-manpages.patch:
    - Adding missing manpages for signaltest and rt-migrate-test

 -- Ricardo Salveti de Araujo <ricardo.salveti@linaro.org>  Mon, 20 Aug 2012 19:08:04 -0300
