=== debian/changelog ===
rt-tests (0.85-1ubuntu1) saucy; urgency=low

  * Merge with debian, remaining changes:
   - Backport newer debian/patches/backfire-fix-build-failure-for-modern-kernels.patch
     from upstream maintainer's tree git://git.pengutronix.de/git/ukl/rt-tests.git
     This patch includes removals to references of <asm/system.h> which no
     longer exists nor is needed in the backfire driver.  Without this patch we
     experience a dkms package build failure upon installation.  We won't need
     to carry this change once we sync from 0.86-1 or newer.
  * debian/patches/adding-missing-manpages.patch:
    - Adding missing manpages for signaltest and rt-migrate-test

 -- Andy Whitcroft <apw@canonical.com>  Thu, 15 Aug 2013 18:06:34 +0100

rt-tests (0.85-1) unstable; urgency=low

  * new upstream release
  * Build-Depends += libnuma-dev for powerpcspe, ppc64 and x32
    (Closes: #711952)
  * Standards-Version: 3.9.4 (no changes needed)

 -- Uwe Kleine-König <uwe@kleine-koenig.org>  Tue, 16 Jul 2013 20:32:07 +0200

rt-tests (0.85-0ubuntu2) saucy; urgency=low

  * Backport newer debian/patches/backfire-fix-build-failure-for-modern-kernels.patch
    from upstream maintainer's tree git://git.pengutronix.de/git/ukl/rt-tests.git
    This patch includes removals to references of <asm/system.h> which no
    longer exists nor is needed in the backfire driver.  Without this patch we
    experience a dkms package build failure upon installation.  We won't need
    to carry this change once we sync from 0.86-1 or newer.

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Mon, 05 Aug 2013 10:30:59 +0100

rt-tests (0.85-0ubuntu1) raring-proposed; urgency=low

  * New upstream release.

 -- Howard Chan <smartboyhw@gmail.com>  Tue, 18 Dec 2012 17:47:35 +0800

rt-tests (0.84-2) unstable; urgency=medium

  * fix backfire kernel module for Linux v3.4-rc1 and later
  * backport  
    	dd6ae11 (hackbench: init child's struct before using it)
    to make hackbench work on armhf. (Closes: #711363)

 -- Uwe Kleine-König <uwe@kleine-koenig.org>  Thu, 06 Jun 2013 21:30:30 +0200

rt-tests (0.84-1) experimental; urgency=low

  * new upstream release
  * convert copyright file to machine-readable copyright format version 1.0
  * Standards-Version: 3.9.3 (no changes needed)

 -- Uwe Kleine-König <u.kleine-koenig@pengutronix.de>  Sun, 02 Sep 2012 23:57:33 +0200
