=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: rt-tests
 Section: misc
 Priority: extra
-Maintainer: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 8.1.0), libnuma-dev (>= 2.0.3) [amd64 i386 ia64 mips mipsel powerpc], dkms (>= 2.1.0.0)
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Uwe Kleine-König <uwe@kleine-koenig.org>
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), libnuma-dev (>= 2.0.3) [amd64 i386 ia64 mips mipsel powerpc powerpcspe ppc64 x32], dkms (>= 2.1.0.0)
 Vcs-Browser: http://git.pengutronix.de/?p=ukl/rt-tests.git;
 Vcs-Git: git://git.pengutronix.de/git/ukl/rt-tests.git
 
@@ -21,6 +22,7 @@
  scheduler.
 
 Package: backfire-dkms
+Section: kernel
 Architecture: all
 Depends: ${misc:Depends},
 Replaces: rt-tests (<= 0.66-2)
