## rt-tests 0.87

=== src/hackbench/Makefile ===
hackbench: hackbench.c
	$(CC) $(CFLAGS) -o hackbench hackbench.c -g -Wall -O2 -lpthread

clean :
	rm -f hackbench
