=== debian/changelog ===
rt-tests (0.87-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
   - debian/patches/adding-missing-manpages.patch:
     - Adding missing manpages for signaltest and rt-migrate-test

 -- Andy Whitcroft <apw@canonical.com>  Mon, 06 Jan 2014 13:38:44 +0000

rt-tests (0.87-1) unstable; urgency=low

  * upstream changed path to released archives
  * new upstream release
  * Standards-Version: 3.9.5 (no changes needed)

 -- Uwe Kleine-König <uwe@kleine-koenig.org>  Sun, 29 Dec 2013 13:22:45 +0100
