## rt-tests 0.89

=== debian/changelog ===
rt-tests (0.89-1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
   - debian/patches/adding-missing-manpages.patch:
     + Adding missing manpages for signaltest and rt-migrate-test.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 08 Feb 2015 11:54:02 +0100

rt-tests (0.89-1) unstable; urgency=medium

  * new upstream release
  * enable numa for mips{64,n32}{,el} (Closes: #756597)

 -- Uwe Kleine-König <uwe@kleine-koenig.org>  Thu, 31 Jul 2014 23:31:39 +0200

rt-tests (0.88-1) unstable; urgency=low

  * new upstream release

 -- Uwe Kleine-König <uwe@kleine-koenig.org>  Fri, 28 Mar 2014 21:48:54 +0100
