## rt-tests 0.93

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,18 @@
-VERSION_STRING = 0.85
-
-sources = cyclictest.c signaltest.c pi_stress.c rt-migrate-test.c	\
-	  ptsematest.c sigwaittest.c svsematest.c pmqtest.c sendme.c 	\
-	  pip_stress.c hackbench.c
+VERSION = 0.93
+
+HAVE_NPTL ?= yes
+
+ifeq ($(HAVE_NPTL),yes)
+sources = cyclictest.c pi_stress.c pip_stress.c pmqtest.c rt-migrate-test.c
+endif
+
+sources += signaltest.c ptsematest.c sigwaittest.c svsematest.c sendme.c \
+	  hackbench.c
 
 TARGETS = $(sources:.c=)
 
-LIBS 	= -lrt -lpthread -lrttest -L.
+LIBS	= -lrt -lpthread
+RTTESTLIB = -lrttest -L.
 EXTRA_LIBS ?= -ldl	# for get_cpu
 DESTDIR	?=
 prefix  ?= /usr/local
@@ -16,13 +22,17 @@
 
 machinetype = $(shell $(CC) -dumpmachine | \
     sed -e 's/-.*//' -e 's/i.86/i386/' -e 's/mips.*/mips/' -e 's/ppc.*/powerpc/')
-ifneq ($(filter x86_64 i386 ia64 mips powerpc,$(machinetype)),)
-NUMA 	:= 1
-endif
 
 CFLAGS ?= -Wall -Wno-nonnull
 CPPFLAGS += -D_GNU_SOURCE -Isrc/include
 LDFLAGS ?=
+
+ifneq ($(filter x86_64 i386 ia64 mips powerpc,$(machinetype)),)
+NUMA 	:= 1
+ifdef HAVE_PARSE_CPUSTRING_ALL
+	CFLAGS += -DHAVE_PARSE_CPUSTRING_ALL
+endif
+endif
 
 PYLIB  := $(shell python -c 'import distutils.sysconfig;  print distutils.sysconfig.get_python_lib()')
 
@@ -50,7 +60,7 @@
 VPATH	+= src/hackbench
 
 %.o: %.c
-	$(CC) -D VERSION_STRING=$(VERSION_STRING) -c $< $(CFLAGS) $(CPPFLAGS)
+	$(CC) -D VERSION=$(VERSION) -c $< $(CFLAGS) $(CPPFLAGS)
 
 # Pattern rule to generate dependency files from .c files
 %.d: %.c
@@ -63,44 +73,44 @@
 -include $(sources:.c=.d)
 
 cyclictest: cyclictest.o librttest.a
-	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS) $(NUMA_LIBS)
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS) $(RTTESTLIB) $(NUMA_LIBS)
 
 signaltest: signaltest.o librttest.a
-	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)
-
-pi_stress: pi_stress.o
-	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS) $(RTTESTLIB)
+
+pi_stress: pi_stress.o librttest.a
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS) $(RTTESTLIB)
 
 hwlatdetect:  src/hwlatdetect/hwlatdetect.py
 	chmod +x src/hwlatdetect/hwlatdetect.py
 	ln -s src/hwlatdetect/hwlatdetect.py hwlatdetect
 
 rt-migrate-test: rt-migrate-test.o
-	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS)
 
 ptsematest: ptsematest.o librttest.a
-	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS) $(EXTRA_LIBS)
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS) $(RTTESTLIB) $(EXTRA_LIBS)
 
 sigwaittest: sigwaittest.o librttest.a
-	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS) $(EXTRA_LIBS)
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS) $(RTTESTLIB) $(EXTRA_LIBS)
 
 svsematest: svsematest.o librttest.a
-	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS) $(EXTRA_LIBS)
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS) $(RTTESTLIB) $(EXTRA_LIBS)
 
 pmqtest: pmqtest.o librttest.a
-	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS) $(EXTRA_LIBS)
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS) $(RTTESTLIB) $(EXTRA_LIBS)
 
 sendme: sendme.o librttest.a
-	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS) $(EXTRA_LIBS)
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS) $(RTTESTLIB) $(EXTRA_LIBS)
 
 pip_stress: pip_stress.o librttest.a
-	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS) $(RTTESTLIB)
 
 hackbench: hackbench.o
-	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)
-
-librttest.a: rt-utils.o error.o rt-get_cpu.o
-	$(AR) rcs librttest.a rt-utils.o error.o rt-get_cpu.o
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS)
+
+librttest.a: rt-utils.o error.o rt-get_cpu.o rt-sched.o
+	$(AR) rcs librttest.a $^
 
 CLEANUP  = $(TARGETS) *.o .depend *.*~ *.orig *.rej rt-tests.spec *.d *.a
 CLEANUP += $(if $(wildcard .git), ChangeLog)
@@ -108,12 +118,14 @@
 .PHONY: clean
 clean:
 	for F in $(CLEANUP); do find -type f -name $$F | xargs rm -f; done
+	rm -f rt-tests-*.tar
 	rm -f hwlatdetect
 	rm -f tags
 
+RPMDIRS = BUILD BUILDROOT RPMS SRPMS SPECS
 .PHONY: distclean
 distclean: clean
-	rm -rf BUILD RPMS SRPMS releases *.tar.gz rt-tests.spec
+	rm -rf $(RPMDIRS) releases *.tar.gz rt-tests.spec tmp
 
 .PHONY: changelog
 changelog:
@@ -143,24 +155,39 @@
 	gzip src/hackbench/hackbench.8 -c >"$(DESTDIR)$(mandir)/man8/hackbench.8.gz"
 
 .PHONY: release
-release: clean changelog
+release: distclean changelog
 	mkdir -p releases
-	rm -rf tmp && mkdir -p tmp/rt-tests
-	cp -r Makefile COPYING ChangeLog src tmp/rt-tests
-	tar -C tmp -czf rt-tests-$(VERSION_STRING).tar.gz rt-tests
+	mkdir -p tmp/rt-tests
+	cp -r Makefile COPYING ChangeLog MAINTAINERS doc README.markdown src tmp/rt-tests
+	rm -f rt-tests-$(VERSION).tar rt-tests-$(VERSION).tar.asc
+	tar -C tmp -cf rt-tests-$(VERSION).tar rt-tests
+	gpg2 --default-key clrkwllms@kernel.org --detach-sign --armor rt-tests-$(VERSION).tar
+	gzip rt-tests-$(VERSION).tar
 	rm -f ChangeLog
-	cp rt-tests-$(VERSION_STRING).tar.gz releases
+	cp rt-tests-$(VERSION).tar.gz rt-tests-$(VERSION).tar.asc releases
+
+.PHONY: tarball
+tarball:
+	git archive --worktree-attributes --prefix=rt-tests-${VERSION}/ -o rt-tests-${VERSION}.tar v${VERSION}
 
 .PHONY: push
 push:	release
-	scripts/do-git-push $(VERSION_STRING)
+	scripts/do-git-push $(VERSION)
 
 .PHONY: pushtest
 pushtest: release
-	scripts/do-git-push --test $(VERSION_STRING)
+	scripts/do-git-push --test $(VERSION)
 
 rt-tests.spec: Makefile rt-tests.spec-in
-	sed s/__VERSION__/$(VERSION_STRING)/ <$@-in >$@
+	sed s/__VERSION__/$(VERSION)/ <$@-in >$@
+ifeq ($(NUMA),1)
+	sed -i -e 's/__MAKE_NUMA__/NUMA=1/' $@
+	sed -i -e 's/__BUILDREQUIRES_NUMA__/numactl-devel/' $@
+else
+	sed -i -e 's/__MAKE_NUMA__//' $@
+	sed -i -e 's/__BUILDREQUIRES_NUMA__//' $@
+endif
+
 
 HERE	:=	$(shell pwd)
 RPMARGS	:=	--define "_topdir $(HERE)" 	\
@@ -192,4 +219,4 @@
 
 .PHONY: tags
 tags:
-	ctags -R --extra=+f --c-kinds=+p *
+	ctags -R --extra=+f --c-kinds=+p --exclude=tmp --exclude=BUILD *
