=== debian/changelog ===
rt-tests (0.93-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/adding-missing-manpages.patch:
      + Adding missing manpages for signaltest and rt-migrate-test

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 29 Nov 2015 21:36:51 -0500

rt-tests (0.93-1) unstable; urgency=medium

  * new upstream release
  * fix version reported by rt-migrate-test -h (patch by John Kacur) 

 -- Uwe Kleine-König <uwe@kleine-koenig.org>  Mon, 17 Aug 2015 20:41:14 +0200

rt-tests (0.92-1) unstable; urgency=medium

  * new upstream release (Closes: #716237)
  * Standards-Version: 3.9.6 (no changes needed)

 -- Uwe Kleine-König <uwe@kleine-koenig.org>  Fri, 12 Jun 2015 22:35:55 +0200
