=== debian/watch ===
version=3

http://www.kernel.org/pub/linux/utils/rt-tests/rt-tests-(.*)\.tar\.xz
